publications_extensions/urls.py
from django.shortcuts import render
from django.urls import path
from publications_extensions import views
app_name = "publicationsExtension"
urlpatterns = [
    path('publication/<int:pk>', views.publicationView,name="publicationView"),
    path('publication/zotero/<str:zoterokey>', views.publicationView,name="publicationView"),
    path('pdf2text/<int:pk>', views.createMissingTxts_in_CollectionFromPDF, name="pdf2text"),
    path('pdf2text/', views.createMissingTxts_in_CollectionFromPDF, name="pdf2text"),
    path('tei2abstract_body/<int:pk>', views.createMissingAbstract_Bodies_in_CollectionFromTEI, name="tei2abstract_body"),
    path('tei2abstract_body/', views.createMissingAbstract_Bodies_in_CollectionFromTEI, name="tei2abstract_body"),
    path('showalltasks/', views.showAllTasks,name = "showalltasks"),
    path('showtask/<str:taskid>', views.showTask, name = "showtask"),
    path('exportAttachment/<int:pk>/<type>', views.exportAttachmentsOfCollectionItems, name="export_attachment"),
    path('exportAttachment/', views.exportAttachmentsOfCollectionItems, name="export_attachment"),
    path('exportCollectionAttachment/', views.exportCollectionAttachments, name="export_collectionattachment"),
    path('nlp/<int:pk>/<type>', views.processNLP, name="processNLP"),
    path('nlp/', views.processNLP, name="processNLP"),
    path('createCorpora/', views.createCorpora, name="createCorpora"),
    path('createBurst/', views.createBurst, name="createBurst"),
    path('createWordsPerDate/', views.createWordsPerDate, name="createWordsPerDate"),
    path('download/<path:fn>', views.download_from_tmp, name="download"),
    path('plot_d/<int:collection_pk>', views.plot_d, name="plot_d"),
    path('plot_burst/<int:burst_pk>', views.plot_burst, name="plot_burst"),
    path('pdfunite/<int:publication_pk>', views.pdf_unite, name="pdf_unite"),
    path('',views.index,name="index")
    ]

publications_extensions/templates/publicationExtensions/index.html
{% extends "main.html" %}
{% load cms_tags %}
{% load render_table from django_tables2 %}
{% load bootstrap3 %}
{% block title %}Functions on Collections{% endblock title %}

 {% block js %}
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
{% endblock js %}

    {% block content %}


<ul>
   <li>
       <a href="{% url 'publicationsExtension:pdf2text' %}">PDF2text</a>
   </li>
     <li>
       <a href="{% url 'publicationsExtension:tei2abstract_body' %}">tei2 -> abstract and body</a>
   </li>
     <li>
       <a href="{% url 'publicationsExtension:processNLP' %}">NLP</a>
   </li>
      <li>
       <a href="{% url 'publicationsExtension:export_attachment' %}">Export</a>
   </li>
     <li>
       <a href="{% url 'publicationsExtension:export_collectionattachment' %}">Export - Collectionattachments</a>
   </li>
     <li>
       <a href="{% url 'publicationsExtension:createCorpora' %}">Create corpora</a>
   </li>
      <li>
       <a href="{% url 'publicationsExtension:createWordsPerDate' %}">Create Words per date</a>
   </li>
      <li>
       <a href="{% url 'publicationsExtension:createBurst' %}">Create Burst</a>
   </li>
</ul>

<h2> Tasks</h2>
<ul>
 <li>
       <a href="{% url 'publicationsExtension:showalltasks' %}">Tasks</a>
   </li>
</ul>
{% endblock content %}

publications_extensions/templates/publicationExtensions/publication.html
{% extends "main.html" %}
{% load cms_tags %}
{% load render_table from django_tables2 %}
{% load bootstrap4 %}
{% block title %}{{publication.title}}{% endblock title %}

 {% block js %}
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
{% endblock js %}

    {% block content %}
<h3>Metadata</h3>
<table class="table">
    <tr><td>Date</td><td>{{publication.date}}</td></tr>
     <tr><td>title</td><td>{{publication.title}}</td></tr>
     <tr><td>doi</td><td>{{publication.doi}}</td></tr>
     <tr><td>url</td><td><a href="{{publication.url}}">{{publication.url}}</a></td></tr>
</table>


<h3>Collections</h3>
<table>
    {% for c in publication.collection_set.all %}
    <tr><td><a href="{% url 'publications:collectionView' c.pk %}">{{c}}</a></td></tr>
    {% endfor %}
</table>
<h3> Attached pdfs</h3>
<table class="table">
{% for pdf in pdfs %}
{% if pdf.file.url %}
    <tr><td><a target="_blank" href="{{pdf.file.url}}">PDF</a></td><td> {{pdf.file.original_filename}} </td></tr>
{% endif %}
{% endfor %}
</table>

<h3> Attachments - Links</h3>
<table class="table">
{% for atm in attachments %}
    <tr><td><a target="_blank" href="{{atm.file.url}}">{{atm.type_of_text.name}}</a></td><td> {{atm.updated_at}}</a></td></tr>
{% endfor %}
</table>

<h3> Attachments - Text</h3>
<table class="table">
{% for atm in atms_texts %}
    <tr><td>{{atm.type}}</td><td>{{atm.updated_at}}</td><td><textarea cols="200" rows="20">{{atm.txt}}</textarea></td></tr>
{% endfor %}
</table>
 {% endblock content %}